using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.BLL
{
    /// <summary>
	/// T_Vis_DXNTelphone
	/// </summary>
	public partial class T_Vis_DXNTelphone
    {
        private readonly CallCenterApi.DAL.T_Vis_DXNTelphone dal = new CallCenterApi.DAL.T_Vis_DXNTelphone();
        public T_Vis_DXNTelphone()
        { }
        #region  BasicMethod
        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_Vis_DXNTelphone model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Vis_DXNTelphone model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_DVNID)
        {

            return dal.Delete(F_DVNID);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_DVNIDlist)
        {
            return dal.DeleteList(F_DVNIDlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Vis_DXNTelphone GetModel(int F_DVNID)
        {

            return dal.GetModel(F_DVNID);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Vis_DXNTelphone> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Vis_DXNTelphone> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_Vis_DXNTelphone> modelList = new List<CallCenterApi.Model.T_Vis_DXNTelphone>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_Vis_DXNTelphone model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        #endregion  BasicMethod
        #region  ExtensionMethod
        /// <summary>
        /// 呼叫更新
        /// </summary>
        /// <returns></returns>
        public bool UpdateHJ(int telid, int uid, string uname, int resid, string res)
        {
            return dal.UpdateHJ(telid, uid, uname, resid, res);
        }

        /// <summary>
        /// 回访更新
        /// </summary>
        /// <returns></returns>
        public bool UpdateHF(int telid, bool isres, int resid, string res, int uid, string uname,
            string vistype, string viscontent,int isvis)
        {
            return dal.UpdateHF(telid, isres, resid, res, uid, uname,
                 vistype, viscontent, isvis);
        }
        public DataSet GetListExpt(string strWhere)
        {
            return dal.GetListExpt(strWhere);
        }
        /// <summary>
        /// 根据文件删除
        /// </summary>
        public bool DeleteListByFileID(string FileID)
        {
            return dal.DeleteListByFileID(FileID);
        }
        #endregion  ExtensionMethod
    }
}
